Bug 1962008 - [podman][systemd] /usr/lib/systemd/system/cni-dhcp.service wrong executable
Summary: [podman][systemd] /usr/lib/systemd/system/cni-dhcp.service wrong executable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: containernetworking-plugins
Version: 34
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-19 08:11 UTC by Sirius Rayner-Karlsson
Modified: 2021-07-24 01:07 UTC (History)
14 users (show)

Fixed In Version: containernetworking-plugins-1.0.0-0.2.rc1.fc34 containernetworking-plugins-1.0.0-0.2.rc1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-11 01:14:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Sirius Rayner-Karlsson 2021-05-19 08:11:21 UTC
Description of problem:
Starting a podman macvlan network, you need the cni-dhcp socket and service running to proxy. Starting the service by hand works fine (as per https://github.com/containers/podman/blob/master/docs/tutorials/basic_networking.md), but using the systemd service provided fails, because it is trying to start /opt/cni/bin/dhcp instead of /usr/libexec/cni/dhcp.


Version-Release number of selected component (if applicable):
Fedora 34 Silverblue, up2date as of 2021-05-19.


How reproducible:
Very.


Steps to Reproduce:
1. systemctl enable cni-dhcp.socket && systemctl start cni-dhcp.socket
2. systemctl enable cni-dhcp.service
3. systemctl start cni-dhcp.service <<< FAILS

Actual results:
Service fails starting


Expected results:
Service starts

Additional info:
Change the line

ExecStart=/opt/cni/bin/dhcp daemon

to

ExecStart=/usr/libexec/cni/dhcp daemon

should resolve this on Fedora 34 (including Silverblue). Copying /usr/lib/systemd/system/cni-dhcp.service to /etc/systemd/system/ and fixing up the ExecStart line to point correctly and then rebooting F34 Silverblue will allow the service to start correctly (tested and verified just now).

Comment 1 Fedora Update System 2021-06-08 18:55:13 UTC
FEDORA-2021-0c53d8738d has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-0c53d8738d

Comment 2 Fedora Update System 2021-06-08 18:55:37 UTC
FEDORA-2021-d8038a5529 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d8038a5529

Comment 3 Fedora Update System 2021-06-09 03:10:05 UTC
FEDORA-2021-0c53d8738d has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-0c53d8738d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-0c53d8738d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-06-09 03:29:28 UTC
FEDORA-2021-d8038a5529 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d8038a5529`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d8038a5529

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-06-09 14:37:12 UTC
FEDORA-2021-d8038a5529 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d8038a5529

Comment 6 Fedora Update System 2021-06-09 14:52:31 UTC
FEDORA-2021-0c53d8738d has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-0c53d8738d

Comment 7 Fedora Update System 2021-06-10 01:19:23 UTC
FEDORA-2021-d8038a5529 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d8038a5529`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d8038a5529

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-06-10 01:50:10 UTC
FEDORA-2021-0c53d8738d has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-0c53d8738d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-0c53d8738d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-06-10 13:46:58 UTC
FEDORA-2021-0c53d8738d has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-0c53d8738d

Comment 10 Fedora Update System 2021-06-11 01:14:34 UTC
FEDORA-2021-d8038a5529 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-06-11 01:42:23 UTC
FEDORA-2021-0c53d8738d has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-0c53d8738d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-0c53d8738d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-06-26 00:38:34 UTC
FEDORA-2021-0c53d8738d has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-0c53d8738d

Comment 13 Fedora Update System 2021-06-26 00:40:15 UTC
FEDORA-2021-0c53d8738d has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-0c53d8738d

Comment 14 Fedora Update System 2021-06-27 01:07:34 UTC
FEDORA-2021-0c53d8738d has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-0c53d8738d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-0c53d8738d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2021-06-30 14:35:54 UTC
FEDORA-2021-0c53d8738d has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-0c53d8738d

Comment 16 Fedora Update System 2021-07-01 01:04:14 UTC
FEDORA-2021-0c53d8738d has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-0c53d8738d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-0c53d8738d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2021-07-06 20:59:54 UTC
FEDORA-2021-0c53d8738d has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-0c53d8738d

Comment 18 Fedora Update System 2021-07-07 01:02:24 UTC
FEDORA-2021-0c53d8738d has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-0c53d8738d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-0c53d8738d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2021-07-16 21:34:55 UTC
FEDORA-2021-0c53d8738d has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-0c53d8738d

Comment 20 Fedora Update System 2021-07-17 01:11:51 UTC
FEDORA-2021-0c53d8738d has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-0c53d8738d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-0c53d8738d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2021-07-24 01:07:29 UTC
FEDORA-2021-0c53d8738d has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.